import React from 'react';


interface InputProps {
    children: React.ReactNode;
    location?: "top" | "bottom" | "both"
}

const WithLegend: React.FC<InputProps> = ({ children, location }) => {

    if (!location) location = "both";
    const top = location === "top" || location === "both";
    const bottom = location === "bottom" || location === "both";

    return (
        <>
            {top && <div style={{ paddingLeft: '33%', 'paddingTop': '2.5rem', 'paddingBottom': '1.5rem' }} id={'legendtop'} />}
            {children}
            {bottom && <div style={{ paddingLeft: '33%', 'paddingTop': '1.5rem' }} id={'legendbottom'} />}
        </>

    );
};

export default WithLegend;
