import React, { ReactElement } from "react";
import { Link } from "react-router-dom";
import { Card, Container, Row, Col } from "react-bootstrap";
import SectionDataLogo from "../images/home_data_icon.svg";
import SectionReportsLogo from "../images/home_reports_icon.svg";

function Landing(): ReactElement {
    return (
        <Container className="py-5 grey-container">
            <Row>
                <div className="center-text">
                    <h1 className="geant-header">THE GÉANT COMPENDIUM OF NRENS</h1>

                    <div className="wordwrap pt-4">
                        <p style={{ textAlign: "center" }}>
                            The GÉANT Compendium provides an authoritative reference source for anyone with an
                            interest in the development of research and education networking in Europe and beyond.
                            Published since 2001, the Compendium provides information on key areas such as users,
                            services, traffic, budget and staffing.
                        </p>
                        <p style={{ textAlign: "center" }}>
                            This site captures the responses from the National Research and Education Networks
                            themselves.
                        </p>
                    </div>

                </div>
            </Row>
            <Row>
                <Col>
                    <Container
                        style={{ backgroundColor: "white" }}
                        className="rounded-border"
                    >
                        <Row className="justify-content-md-center">
                            <Col align={"center"}>

                                <Card border='light' style={{ width: "18rem" }}>
                                    <Link to="/data" className="link-text" >
                                        <Card.Img src={SectionDataLogo} />
                                        <Card.Body>
                                            <Card.Title>Compendium Data</Card.Title>
                                            <Card.Text>
                                                The results of the Compendium Surveys data given annually by
                                                NRENs. Statical represetation of the data is available here.
                                            </Card.Text>
                                        </Card.Body>
                                    </Link>
                                </Card>

                            </Col>
                            <Col align={"center"}>
                                <Card border='light' style={{ width: "18rem" }}>
                                    <a href="https://resources.geant.org/geant-compendia/" className="link-text" target="_blank" rel="noreferrer">
                                        <Card.Img src={SectionReportsLogo} />
                                        <Card.Body>
                                            <Card.Title>Compendium Reports</Card.Title>
                                            <Card.Text>
                                                A GÉANT Compendium Report is published annually, drawing
                                                on data from the Compendium Survey lled in by NRENs,
                                                complemented by information from other surveys
                                            </Card.Text>
                                        </Card.Body>
                                    </a>
                                </Card>
                            </Col>
                        </Row>
                    </Container>
                </Col>
            </Row>
        </Container >
    );
}

export default Landing;
