import json
import jsonschema
from compendium_v2.routes.organization import ORGANIZATION_RESPONSE_SCHEMA


def test_parentorganization_response(client, test_organization_data):
    rv = client.get(
        '/api/organization/parent',
        headers={'Accept': ['application/json']})
    assert rv.status_code == 200
    result = json.loads(rv.data.decode('utf-8'))
    jsonschema.validate(result, ORGANIZATION_RESPONSE_SCHEMA)
    assert result


def test_suborganization_response(client, test_organization_data):
    rv = client.get(
        '/api/organization/sub',
        headers={'Accept': ['application/json']})
    assert rv.status_code == 200
    result = json.loads(rv.data.decode('utf-8'))
    jsonschema.validate(result, ORGANIZATION_RESPONSE_SCHEMA)
    assert result
